import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaSensorItemType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaSensorItemTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaSensorItemType> {
    return this.rpcService.call<MetaSensorItemType>('MetaSensorItemTypeService.readByKey', key);
  }

  public readAll(): Observable<MetaSensorItemType[]> {
    return this.rpcService.call<MetaSensorItemType[]>('MetaSensorItemTypeService.readAll');
  }
}
